POST
/api/public/v1/appointments/{appointmentId}/update-status

Update appointment status

Update the status of an appointment (confirm, complete, mark no-show, cancel).

Path Parameters

NameTypeRequiredDescription
appointmentIdstring
Required
Appointment ID.

Request Body

PropertyTypeDescription
statusstringNew status.
cancellationReasonstringReason for cancellation (only used when status=CANCELLED).
POSTExample request
curl
curl -X POST "https://www.pxb.app/api/public/v1/appointments/{appointmentId}/update-status" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "CANCELLED",
    "cancellationReason": "Customer requested reschedule."
  }'
200Example response
json
{
  "message": "Appointment status updated successfully!",
  "content": {
    "appointment": {
      "id": "appt_1",
      "status": "CANCELLED"
    }
  }
}